"                                               "
"                 RJPROM Manual                 "
"                                               "
" Background:                                   "
"                                               "
" This program was written because of the vague "
" documentation  written about the  DOS  Prompt "
" command. I hope       this utility will prove "
" useful and beneficial.                        "
"                                               "
" This  program will build a series  of  prompt "
" commands     based on options you select. You "
" can select up to 128     color  combinations, "
" build  a  DOS status line at the  top      of "
" your  screen, a DOS prompt line, and you  can "
" configure up to forty 'function keys'.        "
"                                               "
" Upon  completion  of this program,  you  must "
" execute  the      batch file  'RJPROMPT.BAT', "
" which  will execute the      prompt  commands "
" needed   to   activate   the   configurations "
" you selected.                                 "
"                                               "
" The following is a breakdown of the files for "
" this utility:                                 "
"                                               "
"     RJPROM.EXE   - Prompt Utility Program     "
"   * RJPROMPT.BAT - Batch file containing      "
"                    the Prompt Commands        "
"     RJOFF.BAT    - Turns off screen.          "
"   * RJPROMPT.DAT - Parameter File.            "
"     RJPROMPT.MAN - This online manual.        "
"     RJREAD.ME    - Basic information.         "
"     RJPROM.ORD   - Order and Registration     "
"                                               "
"   * Both of these files will be generated     "
"     when you execute RJPROM.EXE.              "
"                                               "
" Main Menu Options:                            "
"                                               "
" Colors:                                       "
"                                               "
" Displays  two grids containing low  intensity "
" and  high  intensity colors. Enter  a  number "
" between 1 and 127.                            "
"                                               "
" Dos Status Line:                              "
"                                               "
" This option allows the user to build a status "
" line  at the top of the screen. The user  can "
" have up to 3 parameters and can position  the "
" starting  column  in  which  each   parameter "
" starts. The default values are columns 1, 35, "
" and 68.                                       "
"                                               "
" Prompt Line:                                  "
"                                               "
" This option allows the user to build a custom "
" prompt line. You can select any of the stand- "
" ard options or can enter a special phrase.    "
"                                               "
" Function Keys:                                "
"                                               "
" This  option can be the most useful  and  the "
" most  unknown feature of the DOS Prompt  com- "
" mand.  When  you use this  option,  you  will "
" receive  a  menu  displaying  Function   keys "
" broken out by four groups; Function keys F1 - "
" F10,  ALT F1 - F10, SHIFT F1 - F10, and  CON- "
" TROL  F1  - F10. Select the group  you  would "
" like  to  edit and another menu  will  appear "
" with   the keys F1 - F10. Move the  highlight "
" bar  to  the key desired and hit  enter.  The "
" program will prompt you to enter the  command "
" or statement will want to assign to that key. "
" Then the program will prompt you if you  want "
" a <CR> after the statement. If you select the "
" <CR>, then when the function key is  pressed, "
" the  statement  will  execute   automatically "
" without pressing the enter key.               "
"                                               "
" One  special note, if you use  function  keys "
" F1-F10,  it  can corrupt some  software  that "
" uses  those  function keys. I have  found  it "
" easier  to use the function keys in  combina- "
" tion with the Shift,ATL, or Control key.      "
"                                               "
" This program uses the ANSI Driver to  config- "
" ure  the function key so if any  problem  oc- "
" curs,  use the function key option and  space "
" out the keys that are causing the problem and "
" reboot your system to clear the ANSI driver.  "
"                                               "
" Screen off function:                          "
"                                               "
" I  have  included a small batch  file  called "
" RJOFF.BAT. Upon execution of this batch file, "
" the  screen  will blank out.  To  revive  the "
" screen, simply execute the RJPROMPT.BAT file. "
" I  would recommend that you use two  function "
" keys  to  toggle between the two.  This  will "
" prove to be helpful when leaving your  termi- "
" nal unattended for periods of time.           "
"                                               "
" Summary:                                      "
"                                               "
" If you find this utility useful, please  fill "
" out the order form and register your copy  of "
" this  program. If you have any  questions  or "
" comments please contact me by the following : "
"                                               "
"                                               "
"         Email - Compuserve  72200,2722        "
"                                               "
"         Mail  - Richard J. Ryan               "
"                 RJware                        "
"                 134 South Main Street         "
"                 Mechanicville, New York 12118 "
"                                               "
